#include <iostream>
#include <vector>

using namespace std;

void calc(int n, vector<int>& a, vector<int>& izbacivanja) {
    cin>>a[0];
    izbacivanja[0] = 0;
    if(n == 1) return;
    int l = -1, r = 0;
    for(int i = 1; i < n; i++) {
        cin>>a[i];
        if(a[i] >= a[r]) {
            l = r;
            r = i;
            izbacivanja[i] = izbacivanja[i - 1];
        }
        else {
            izbacivanja[i] = izbacivanja[i - 1] + 1;
            if(l == -1 || a[i] >= a[l]) {
                r = i;
            }
        }
    }
}

int main()
{
    int n, q, l, r;
    cin>>n;
    vector<int> a(n);
    vector<int> izbacivanja(n, 0);
    calc(n, a, izbacivanja);
    cin>>q;
    for(int i = 0; i < q; i++) {
        cin>>l>>r;
        if(izbacivanja[r - 1] - izbacivanja[l - 1] <= 1) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
    return 0;
}